Download

VM Explorer Build 7.1.001 Trail Expiry Fix (51858KB )



Note:
The highest version of VMware vSphere supported by VM Explorer 7.10 is vSphere 6.7 including its patches and updates. We recommend that you refer to the VM Explorer Support Matrix provided below before planning for VMware upgrades in your environment:

https://softwaresupport.softwaregrp.com/doc/KM03191462